ChiliProject - Bug # 904: Copy workflow doesn't work on per-author / per-assigned modifier

Status: Closed Priority: Normal
Author: Daniele Segato Category:

Created: 2012-02-25 Assignee: Felix Schéfer
Updated: 2012-08-06 Due date:

Remote issue URL: http://www.redmine.org/issues/8739

Affected version: 24.0

Description:

I've found a bug in the copy issue workflow feature.

I'm on chiliproject version 2.4.0

actually it's ChiliProject 2.4.0.ee543489f (just noticed I'm not on a tag /)

Step to reproduce:

# --> Administration

# --> Workflow

# choose Developer / Bug (Role / tracker)

# remove any check on the first section

# set up some checks on the Author and Assigned sections
# save

# --> copy

# source: Developer / Bug

# target: Developer / Everything but Bug

# click copy

expected result: every other tracker is exactly the same as Bug

actual result: every other tracker has the same checks but for the main section (even if not the
author/assigned)

Associated revisions

2008-03-20 08:25 pm - John Goerzen

Revert "Make an issue's done_ratio field adjustable from the right-click"

Reverts commit r1277
fixes #904
refs #641

This had been working for me in testing for some time, but received

issue #904 saying it broke the context menu. | was able to make it do

so on a new project as well. Will revert and comment in #641 about this.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1278 e93f8b46-1217-0410-a6f0-8f06a7374b81

2008-03-21 06:32 pm - Jean-Philippe Lang

Add done_ratio to the right-click context menu.

Closes #904 (back_to variable used in patch #641 and in r1277 is no longer defined).
git-svn-id: http://redmine.rubyforge.org/svn/trunk@1279 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-08-06 08:20 am - jplang
Correctly copy advanced workflow settings #904

Original commit message:

Fixed: Workflow copy does not copy advanced workflow settings

git-svn-id: svn://rubyforge.org/var/svn/redmine/trunk@6148 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2012-08-03 10:52 am - Daniele Segato
I've hit this issue again.

Any news about it? have you been able to reproduce?

Can | do something to help you?

| didn't upgraded chiliproject yet (for issues with plugins being not supported anymore - Mylyn).

Reading the revisions associated it seems apparently closed, did you forgot to close the ticket? which version solve this?

2012-08-03 06:37 pm - Felix Schafer

- Assignee set to Felix Schéfer

Daniele Segato wrote:

> Reading the revisions associated it seems apparently closed, did you forgot to close the ticket? which version solve this?

Nope, the associated revisions have mistakenly been added when we reset the repository cache, sorry.

I'll try to see about this this WE.

2012-08-05 03:01 pm - Felix Schafer

If | understood you correctly | can reproduce this.

2012-08-06 08:23 am - Felix Schéfer

- Remote issue URL set to http://www.redmine.org/issues/8739

- Status changed from Open to Closed

- Target version set to 3.4.0

Committed in commit:a2f8557

2012-08-06 08:51 am - Daniele Segato
Hi Felix, thank you for fixing.

| see this will be available with 3.4.0, do you plan any backport to previous versions?

| installed cloning git repository so | could also cherry-pick that commit, do you think it will work on Chiliproject 2.4.0 ?
2012-08-06 08:54 am - Felix Schafer

Daniele Segato wrote:

> | see this will be available with 3.4.0, do you plan any backport to previous versions?
This is not a security fix, so no.

> | installed cloning git repository so | could also cherry-pick that commit, do you think it will work on Chiliproject 2.4.0 ?

It should work with an older ChiliProject.
